digraph "CFG for 'd4d__memzero' function" {
	label="CFG for 'd4d__memzero' function";

	Node0x22053b0 [shape=record,color="#3d50c3ff", style=filled, fillcolor="#b9d0f970",label="{%2:\l  %3 = alloca i8*, align 8\l  %4 = alloca i32, align 4\l  %5 = alloca i8*, align 8\l  store i8* %0, i8** %3, align 8\l  store i32 %1, i32* %4, align 4\l  store i8* null, i8** %5, align 8\l  %6 = load i8*, i8** %3, align 8\l  store i8* %6, i8** %5, align 8\l  br label %7\l}"];
	Node0x22053b0 -> Node0x2208830;
	Node0x2208830 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%7:\l7:                                                \l  %8 = load i32, i32* %4, align 4\l  %9 = icmp ne i32 %8, 0\l  br i1 %9, label %10, label %16\l|{<s0>T|<s1>F}}"];
	Node0x2208830:s0 -> Node0x2208880;
	Node0x2208830:s1 -> Node0x22088d0;
	Node0x2208880 [shape=record,color="#b70d28ff", style=filled, fillcolor="#bb1b2c70",label="{%10:\l10:                                               \l  %11 = load i8*, i8** %5, align 8\l  store i8 0, i8* %11, align 1\l  %12 = load i8*, i8** %5, align 8\l  %13 = getelementptr inbounds i8, i8* %12, i32 1\l  store i8* %13, i8** %5, align 8\l  %14 = load i32, i32* %4, align 4\l  %15 = add i32 %14, -1\l  store i32 %15, i32* %4, align 4\l  br label %7\l}"];
	Node0x2208880 -> Node0x2208830;
	Node0x22088d0 [shape=record,color="#3d50c3ff", style=filled, fillcolor="#b9d0f970",label="{%16:\l16:                                               \l  ret void\l}"];
}
